// AP(r) Computer Science Marine Biology Simulation:
// The FatMouseDisplay class is based on the RoundFishDisplay class
// copyright(c) 2002 College Entrance
// Examination Board (www.collegeboard.com).
//
// This class is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation.
//
// This class is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

import java.awt.Color;
import java.awt.Shape;
import java.awt.Component;
import java.awt.Graphics2D;
import java.awt.GradientPaint;
import java.awt.geom.Ellipse2D;
import java.awt.geom.GeneralPath;
import java.awt.geom.Arc2D;
import java.awt.geom.AffineTransform;

/**
 *  AP&reg; Computer Science Marine Biology Simulation:<br>
 *  A <code>MouseDisplay</code> draws a simple mouse using Java2D graphics.
 *  The fish will be drawn as an elliptical body and triangular
 *  head with two circles for eyes.
 *
 *  <p>
 *  The <code>FatMouseDisplay</code> class is based
 *  on the RoundFishDisplay class which is
 *  copyright&copy; 2002 College Entrance Examination Board
 *  (www.collegeboard.com).
 *
 *  @author Barb Ericson ericson@cc.gatech.edu
 *  @author Julie Zelenski
 *  @author Alyce Brady
 *  @author Chris Nevison
 *  @version 1 Feb 2005
 **/

public class FatMouseDisplay extends MouseDisplay
{    
    private static final double BODY_WIDTH = .5, BODY_LENGTH = .4;
    private static final double HEAD_WIDTH = .3, HEAD_LENGTH = .37;
    private static final double TAIL_WIDTH = .17, TAIL_LENGTH = .27;
    private static final double EYE_SIZE = .08;
    
    /** Constructs an object that knows how to draw simple fish.
     **/
    public FatMouseDisplay()
    {    
        buildPaths(BODY_WIDTH, BODY_LENGTH,
                   HEAD_WIDTH, HEAD_LENGTH, 
                   TAIL_WIDTH, TAIL_LENGTH, 
                   EYE_SIZE);
    }
}
